Subject: [Tsvwg] SCTP-Processing of bundled abort chunk

From: bhanu <[email-masked]>
Date: Fri, 27 Aug 2004 15:18:55 +0530

Hi

Regarding the processing of an ABORT chunk bundled with other control 
chunks,
the following sections of RFC 2960 are somewhat conflicting:

The section 3.3.7 says:
"Control chunks (except for INIT, INIT ACK and SHUTDOWN COMPLETE)
 MAY be bundled with an ABORT but they MUST be placed before the ABORT
 in the SCTP packet, or they will be ignored by the receiver."
It means that the chunks bundled before ABORT chunk should be processed.

But the Section 9.1 says:
"An endpoint MUST NOT respond to any received packet that contains an 
Abort chunk".

Again the Section 6.10 says:

"An endpoint MUST process received chunks in their order in the packet".

Can anybody guide us in this regard.

Regards
Bhanu.

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 27 Aug 2004 04:28:45 -0600

bhanu,

> "An endpoint MUST NOT respond to any received packet that contains an 

This says that the endpoint must not _respond_ it doesn't say that the
chunks ahead of the ABORT are not processed.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: bhanu <[email-masked]>
Date: Fri, 27 Aug 2004 16:30:04 +0530

Hi

If a control chunk (for example the COOKIE ECHO chunk) is bundled 
(before)with ABORT
what should be the response from the receiver of the bundled packet...???
(As per you it should not respond..!!!!!)

Thanks
Bhanu..

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 27 Aug 2004 06:12:38 -0600

bhanu,

> "An endpoint MUST NOT respond to any received packet that contains an 

Why do you think COOKIE ECHO is special?

--brian

On Fri, 27 Aug 2004, bhanu wrote:

> [1][email-masked]
> [2]https://www1.ietf.org/mailman/listinfo/tsvwg
> 
> References
> 
>    1. mailto:[email-masked]
>    2. https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: bhanu <[email-masked]>
Date: Fri, 27 Aug 2004 18:37:53 +0530

Brian,

Thanks for the input.
Bhanu.